﻿<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
  <xsl:output method="html"/>
  <xsl:strip-space elements="*"/>

  <xsl:template match="data-sheet">
     <html>
        <xsl:comment>© <xsl:value-of select="format-date(current-date(),'[Y0001]')"/> Basis Technology Corporation.  All rights reserved.
                     Do not edit!  This file is automatically generated from an XML master.</xsl:comment>
        <head>
           <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
           <title><xsl:value-of select="@title"/></title>
           <link rel="stylesheet" type="text/css" href="styles.css"/>
        </head>
        <body>
           <p class="title"><xsl:value-of select="@title"/></p>
           <xsl:apply-templates/>
           <xsl:call-template name="legal-notices"/>
        </body>
     </html>
     <!-- Kludge to force newline at end of HTML file -->
     <xsl:text>&#x000A;</xsl:text>
  </xsl:template>

  <xsl:template match="front-page|rear-page">
     <xsl:apply-templates/>
  </xsl:template>

  <!-- Pass these tags through unmodified -->
  <xsl:template match="b|i|em|nobr|p|img|h1|h2|h3|ul|ol|li|table|td|tr|colgroup">
     <xsl:element name="{name()}">
	<xsl:for-each select="@*">
           <xsl:copy/>
        </xsl:for-each>
        <xsl:apply-templates/>
     </xsl:element>
  </xsl:template>

  <!-- Pass these tags through unmodified -->
  <xsl:template match="br|hr">
     <xsl:element name="{name()}">
     </xsl:element>
  </xsl:template>

  <!-- Transform these tags to <p class=tag> -->
  <xsl:template match="title|blurb|indent|example|example-rtl">
     <xsl:element name="p">
        <xsl:attribute name="class"><xsl:value-of select="name()"/></xsl:attribute>
	<xsl:for-each select="@*">
           <xsl:copy/>
        </xsl:for-each>
        <xsl:apply-templates/>
     </xsl:element>
  </xsl:template>

  <xsl:template match="list">
     <ul class="list">
        <xsl:apply-templates/>
     </ul>
  </xsl:template>

  <xsl:template match="graphic">
     <p>
        <xsl:element name="img">
           <xsl:attribute name="class">graphic</xsl:attribute>
           <xsl:attribute name="src">../Examples/<xsl:value-of select="@name"/>.gif</xsl:attribute>
        </xsl:element>
     </p>
  </xsl:template>

  <xsl:template match="table-example">
     <p class="table-example">
        <table class="table-example">
           <xsl:apply-templates/>
        </table>
     </p>
  </xsl:template>

  <xsl:template match="table-example/tr/td">
     <td class="table-example">
        <xsl:apply-templates/>
     </td>
  </xsl:template>

  <xsl:template match="multicolumn">
     <table class="multicolumn">
        <tr>
           <xsl:apply-templates/>
        </tr>
     </table>
  </xsl:template>

  <xsl:template match="column/li">
     <xsl:element name="{name()}">
        <xsl:attribute name="class">multicolumn</xsl:attribute>
        <xsl:apply-templates/>
     </xsl:element>
  </xsl:template>

  <xsl:template match="column">
     <td class="multicolumn">
        <ul class="multicolumn">
           <xsl:apply-templates/>
        </ul>
     </td>
  </xsl:template>

  <xsl:template name="legal-notices" match="legal-notices">
     <p class="legal-notices">© <xsl:value-of select="format-date(current-date(),'[Y0001]')"/> Basis Technology Corporation.  All rights reserved.
        “Basis Technology”, “Rosette”, and “We Put the World in the World Wide Web” are registered trademarks.
        All other company and product names mentioned are trademarks or registered trademarks of their respective owners.
        (<xsl:value-of select="format-date(current-date(),'[Y0001]-[M01]-[D01]')"/>)</p>
  </xsl:template>

</xsl:stylesheet>
